{
  "name": "kompakkt.repo",
  "version": "0.0.1",
  "scripts": {
    "ng": "ng",
    "start": "ng serve",
    "build": "ng build",
    "dev": "ng serve --host 0.0.0.0 --disable-host-check",
    "lint": "eslint -c .eslintrc.js './src/**/*.ts",
    "prettier": "prettier --config .prettierrc.json src/**/*.{ts,html,scss} --write",
    "cy:open": "cypress open",
    "cy:run": "cypress run",
    "e2e": "concurrently \"ng serve --port 1503\" \"wait-on http-get://localhost:1503 && npm run cy:run\" --kill-others --success first",
    "e2e-gui": "concurrently \"ng serve --port 1503\" \"wait-on http-get://localhost:1503 && npm run cy:open\" --kill-others --success first",
    "prepare": "husky install"
  },
  "contributors": [
    {
      "name": "Jan G. Wieners",
      "email": "jan.wieners@uni-koeln.de",
      "url": "https://jan-wieners.de"
    },
    {
      "name": "Kai Niebes",
      "email": "kai.niebes@outlook.com",
      "url": "https://github.com/HeyItsBATMAN"
    },
    {
      "name": "Zoe Schubert"
    }
  ],
  "private": true,
  "dependencies": {
    "@angular/animations": "^12.2.1",
    "@angular/cdk": "^12.2.1",
    "@angular/common": "^12.2.1",
    "@angular/compiler": "^12.2.1",
    "@angular/core": "~12.2.1",
    "@angular/forms": "^12.2.1",
    "@angular/material": "^12.2.1",
    "@angular/platform-browser": "^12.2.1",
    "@angular/platform-browser-dynamic": "^12.2.1",
    "@angular/router": "^12.2.1",
    "@ngx-translate/core": "^13.0.0",
    "@ngx-translate/http-loader": "^6.0.0",
    "bson": "4.4.1",
    "fscreen": "1.2.0",
    "particles.js": "2.0.0",
    "rxjs": "~7.3.0",
    "spark-md5": "^3.0.1",
    "tslib": "^2.3.1",
    "zone.js": "~0.11.4"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "~12.2.1",
    "@angular/cli": "~12.2.1",
    "@angular/compiler-cli": "^12.2.1",
    "@angular/language-service": "^12.2.1",
    "@types/bson": "4.0.5",
    "@types/fscreen": "1.0.1",
    "@types/node": "^16.6.1",
    "@types/spark-md5": "^3.0.2",
    "@typescript-eslint/eslint-plugin": "^4.29.2",
    "@typescript-eslint/parser": "^4.29.2",
    "concurrently": "^6.2.1",
    "eslint": "^7.32.0",
    "eslint-config-prettier": "^8.3.0",
    "eslint-plugin-prettier": "^3.4.0",
    "husky": "^7.0.1",
    "lint-staged": "^11.1.2",
    "prettier": "^2.3.2",
    "ts-node": "~10.2.0",
    "typescript": "~4.3.5",
    "wait-on": "^6.0.0"
  },
  "optionalDependencies": {
    "cypress": "8.3.0"
  },
  "lint-staged": {
    "*.js": "eslint --cache --fix"
  }
}
